create customer

Create a new customer. Call this when a new customer signs up for your API.

You can this API in the LIVE or TEST environment and the outcome will be the same. Customers exist across environments. Handling of subsequent customer requests in a given environment are governed by the environment-specific keys (LIVE or TEST) they use to authenticate.

Note that clients can also be created manually from within the Customers tab of your Kable dashboard.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
boolean

When true, Kable will also create and attach a Stripe customer.

If your account is not connected to Stripe, the request will fail. If you provide a stripeCustomerId in the request body, this query parameter will be ignored.

boolean

When true, Kable will create API keys for this customer. (This is only necessary if you use Kable for authentication.)

Body Params
string
required

A unique identifier for the customer, defined by you. This usually corresponds to your own internal unique identifier for customers, and is the identifier by which Kable attributes customer usage.

string
required

The name of the customer, visible on dashboards, invoices, and reports.

string
enum
required

Three-letter ISO currency code

string

The customer's Stripe customer_id, if one already exists, for automatic invoice processing through Stripe.

planIds
array of strings

A collection of plans to which to subscribe the customer.

planIds
bundleIds
array of strings

A collection of bundles to which to subscribe the customer.

bundleIds
billingContact
object

A point of contact for invoices and other billing-related communications.

Headers
string
required

Your Kable client ID, found in the dashboard of your Kable account.

string
required

Your LIVE or TEST secret key.

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json